# Uses of Class
org.apache.lucene.index.IndexCommit

Packages that use IndexCommit
Package
Description
org.apache.lucene.index
Code to maintain and access indices.
org.apache.lucene.search
Code to search indices.

- ## Uses of IndexCommit in org.apache.lucene.index

  Fields in org.apache.lucene.index declared as IndexCommit
  Modifier and Type
  Field
  Description
  `protected IndexCommit`
  LiveIndexWriterConfig.`commit`
  `IndexCommit` that `IndexWriter` is opened on.
  `protected IndexCommit`
  SnapshotDeletionPolicy.`lastCommit`
  Most recently committed `IndexCommit`.
  Fields in org.apache.lucene.index with type parameters of type IndexCommit
  Modifier and Type
  Field
  Description
  `protected final Map<Long,IndexCommit>`
  SnapshotDeletionPolicy.`indexCommits`
  Used to map gen to IndexCommit.
  Methods in org.apache.lucene.index that return IndexCommit
  Modifier and Type
  Method
  Description
  `abstract IndexCommit`
  DirectoryReader.`getIndexCommit()`
  Expert: return the IndexCommit that this reader has opened.
  `IndexCommit`
  FilterDirectoryReader.`getIndexCommit()`
  `IndexCommit`
  IndexWriterConfig.`getIndexCommit()`
  `IndexCommit`
  LiveIndexWriterConfig.`getIndexCommit()`
  Returns the `IndexCommit` as specified in `IndexWriterConfig.setIndexCommit(IndexCommit)` or the default, `null` which specifies to open the latest index commit point.
  `IndexCommit`
  SnapshotDeletionPolicy.`getIndexCommit(long gen)`
  Retrieve an `IndexCommit` from its generation; returns null if this IndexCommit is not currently snapshotted
  `IndexCommit`
  StandardDirectoryReader.`getIndexCommit()`
  `IndexCommit`
  PersistentSnapshotDeletionPolicy.`snapshot()`
  Snapshots the last commit.
  `IndexCommit`
  SnapshotDeletionPolicy.`snapshot()`
  Snapshots the last commit and returns it.
  Methods in org.apache.lucene.index that return types with arguments of type IndexCommit
  Modifier and Type
  Method
  Description
  `List<IndexCommit>`
  SnapshotDeletionPolicy.`getSnapshots()`
  Returns all IndexCommits held by at least one snapshot.
  `static List<IndexCommit>`
  DirectoryReader.`listCommits(Directory dir)`
  Returns all commit points that exist in the Directory.
  Methods in org.apache.lucene.index with parameters of type IndexCommit
  Modifier and Type
  Method
  Description
  `int`
  IndexCommit.`compareTo(IndexCommit commit)`
  `protected abstract DirectoryReader`
  DirectoryReader.`doOpenIfChanged(IndexCommit commit)`
  Implement this method to support `DirectoryReader.openIfChanged(DirectoryReader,IndexCommit)`.
  `protected final DirectoryReader`
  FilterDirectoryReader.`doOpenIfChanged(IndexCommit commit)`
  `protected DirectoryReader`
  StandardDirectoryReader.`doOpenIfChanged(IndexCommit commit)`
  `protected void`
  SnapshotDeletionPolicy.`incRef(IndexCommit ic)`
  Increments the refCount for this `IndexCommit`.
  `static DirectoryReader`
  DirectoryReader.`open(IndexCommit commit)`
  Expert: returns an IndexReader reading the index in the given `IndexCommit`.
  `static DirectoryReader`
  DirectoryReader.`open(IndexCommit commit, int minSupportedMajorVersion, Comparator<LeafReader> leafSorter)`
  Expert: returns an IndexReader reading the index on the given `IndexCommit`.
  `static DirectoryReader`
  DirectoryReader.`openIfChanged(DirectoryReader oldReader, IndexCommit commit)`
  If the IndexCommit differs from what the provided reader is searching, open and return a new reader; else, return null.
  `void`
  PersistentSnapshotDeletionPolicy.`release(IndexCommit commit)`
  Deletes a snapshotted commit.
  `void`
  SnapshotDeletionPolicy.`release(IndexCommit commit)`
  Release a snapshotted commit.
  `T`
  SegmentInfos.FindSegmentsFile.`run(IndexCommit commit)`
  Run `SegmentInfos.FindSegmentsFile.doBody(java.lang.String)` on the provided commit.
  `IndexWriterConfig`
  IndexWriterConfig.`setIndexCommit(IndexCommit commit)`
  Expert: allows to open a certain commit point.
  Method parameters in org.apache.lucene.index with type arguments of type IndexCommit
  Modifier and Type
  Method
  Description
  `abstract void`
  IndexDeletionPolicy.`onCommit(List<? extends IndexCommit> commits)`
  This is called each time the writer completed a commit.
  `void`
  KeepLastNCommitsDeletionPolicy.`onCommit(List<? extends IndexCommit> commits)`
  Deletes all but the last N commits.
  `void`
  KeepOnlyLastCommitDeletionPolicy.`onCommit(List<? extends IndexCommit> commits)`
  Deletes all commits except the most recent one.
  `void`
  NoDeletionPolicy.`onCommit(List<? extends IndexCommit> commits)`
  `void`
  SnapshotDeletionPolicy.`onCommit(List<? extends IndexCommit> commits)`
  `abstract void`
  IndexDeletionPolicy.`onInit(List<? extends IndexCommit> commits)`
  This is called once when a writer is first instantiated to give the policy a chance to remove old commit points.
  `void`
  KeepLastNCommitsDeletionPolicy.`onInit(List<? extends IndexCommit> commits)`
  `void`
  KeepOnlyLastCommitDeletionPolicy.`onInit(List<? extends IndexCommit> commits)`
  Deletes all commits except the most recent one.
  `void`
  NoDeletionPolicy.`onInit(List<? extends IndexCommit> commits)`
  `void`
  SnapshotDeletionPolicy.`onInit(List<? extends IndexCommit> commits)`

- ## Uses of IndexCommit in org.apache.lucene.search

  Methods in org.apache.lucene.search that return IndexCommit
  Modifier and Type
  Method
  Description
  `default IndexCommit`
  RefreshCommitSupplier.`getSearcherRefreshCommit(DirectoryReader reader)`
  Expert: Returns the index commit that searcher should refresh on.